/**
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of CG_ModeSwitch demo for the TOSHIBA
 *          'TMPM341' Device Series 
 * @version V0.102
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "TMPM341.h"
#include "tmpm341_cg.h"
#include "tmpm341_gpio.h"
#include "tmpm341_int.h"
#include <string.h>
#include <stdio.h>
#include "cg.h"


#define M341_SK_BOARD

/* Private typedef -----------------------------------------------------------*/
typedef enum { SLEEP = 0, WAKE = 1 } SYSSTAT;
/* Private define ------------------------------------------------------------*/
#ifdef M341_SK_BOARD
#define TSW_PORT        GPIO_PE
#define TSWBITS         0x08U
#define TSWRELEASE      0x08U      /* KEYRELEASE */
#define TSW1 0x00
#else
#define TSW_PORT        GPIO_PG
#define TSWBITS         0x80U
#define TSWRELEASE      0U      /* KEYRELEASE */
/* For Toggle Switch */
#define TSW1 0x80U
#endif

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
extern SYSSTAT fSysSleep;

/* External function prototypes ----------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
void PrintCode(char *, uint16_t, uint32_t);
void Delay(uint32_t time);
void GPIO_SetINT(void);
#endif
/*********************************** END OF FILE ******************************/
