/**
 *******************************************************************************
 * @file    tmpm341_tmrd_int.c
 * @brief   all interrupt request functions definition of TMRD demo
 *          for the TOSHIBA 'TMPM341' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Includes ------------------------------------------------------------------*/
#include "tmpm341_tmrd_int.h"
#include "led.h"

/**
  * @brief  TMRD0 CMP0 interrupt service routine (500us)
  * @param  None
  * @retval None
  */
void INTTD0CMP0_IRQHandler(void)
{
    static uint16_t timecount = 0U;

    timecount++;
    if (timecount == 1000U) {   /* 500ms */
        LedOff(0x00U);
    } else if (timecount == 2000U) {    /* 1s */
        timecount = 0U;
        LedOn(0x02U);
    } else {
        /* Do nothing */
    }
}

/*********************************** END OF FILE ******************************/
