/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of UART_Retarget demo for the TOSHIBA
 *          'TMPM341' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "tmpm341_uart.h"
#include "tmpm341_gpio.h"
#include "tmpm341_uart_int.h"
#include "uart.h"
#include <stdio.h>

#define M341_SK_BOARD

/* Private define ------------------------------------------------------------*/
#ifdef M341_SK_BOARD
/* use USER SW1 on TMPM341-SK board to trigger the transmission*/
#define TSW_PORT        GPIO_PE
#define TSWBITS         0x08U
#define TSWRELEASE      0x08U      /* KEYRELEASE */
#define TSW1 0x00
#else
#define TSW_PORT        GPIO_PD
#define TSWBITS         0x07U
#define TSWRELEASE      0U      /* KEYRELEASE */
/* For Toggle Switch */
#define TSW1 0x01U
#endif

/* Private function prototypes -----------------------------------------------*/
void TSW_Configuration(void);

#endif
